Update a dispatch (v3)

Purpose: Use this API to update an existing dispatch.

šŸ“˜

NOTE

You must pass the below JSON object along with the body parameters. Below is the format of a request body.

Things to remember:

  • To update an existing dispatch, you must send the entire dispatch again with the updated information.
  • To remove a dispatch stop or trip, supply the entire dispatch object again, without the information for the dispatch stop/trip created before. You can simply pass a {vendor_id: XYZ} for a dispatch stop/trip in the dispatch trips/stops array to persist the trip/stop through API calls.
{
  "vendor_id":"VV-1",
  "status":"planned",
  "dispatch_stops":[
    {
      "vendor_id":"VDS-1",
      "type":"pickup",
      "number":1,
      "early_date":"2023-03-13T19:13:00+00:00",
      "late_date":"2023-03-15T19:13:00+00:00",
      "form_ids":[
        "1ee148ac-6083-4b5a-af7b-75b875bb233f",
        "f60e5305-c2e2-45d7-97d7-eb4760b1a973"
      ],
      "vendor_dispatch_location_id":"VDSL-1",
      "status":"available"
    }
  ],
  "dispatch_trips":[
    {
      "vendor_id":"VT-1",
      "vehicle_id":64734,
      "driver_id":1088505,
      "vendor_stop_ids":[
        "VDS-1"
      ],
      "status":"not_started"
    }
  ]
}

Response Parameters

dispatch

  • Type: Object
  • Description: Details of a dispatch, including stops and trips associated with it.

id

  • Type: Integer
  • Description: The unique identifier for the dispatch.

additional_drops

  • Type: String
  • Description: Additional drop locations, if any.

additional_pickups

  • Type: String
  • Description: Additional pickup locations, if any.

loaded_miles

  • Type: Integer
  • Description: The loaded miles for the dispatch.

order_pieces

  • Type: Integer
  • Description: Number of order pieces.

order_volume

  • Type: Integer
  • Description: Volume of the order.

order_weight

  • Type: Integer
  • Description: Weight of the order.

product

  • Type: String
  • Description: Product details associated with the dispatch.

pickup_number

  • Type: String
  • Description: Pickup number associated with the dispatch.

status

  • Type: String
  • Description: The current status of the dispatch (e.g., "planned").

status_updated_at

  • Type: String (DateTime)
  • Description: The timestamp of the last status update.

temperature_max

  • Type: Float
  • Description: Maximum temperature for the dispatch, if applicable.

temperature_min

  • Type: Float
  • Description: Minimum temperature for the dispatch, if applicable.

trailer

  • Type: String
  • Description: Trailer information associated with the dispatch.

auto_complete_forms

  • Type: Boolean
  • Description: Indicates if forms are auto-completed.

consignee_refno

  • Type: String
  • Description: Reference number for the consignee.

custom_field1

  • Type: String
  • Description: Custom field for additional information.

vendor_id

  • Type: String
  • Description: The unique identifier for the vendor associated with the dispatch.

dispatch_stops

  • Type: Array of Objects
  • Description: A list of stops associated with the dispatch.

id

  • Type: Integer
  • Description: The unique identifier for the stop.

bill_of_lading

  • Type: String
  • Description: Bill of lading information.

comments

  • Type: String
  • Description: Additional comments for the stop.

dispatch_location_id

  • Type: Integer
  • Description: The unique identifier for the dispatch location.

driver_load

  • Type: String
  • Description: Driver load information.

early_date

  • Type: String (DateTime)
  • Description: The earliest date and time for the stop.

form_ids

  • Type: Array of Strings
  • Description: List of form IDs associated with the stop.

late_date

  • Type: String (DateTime)
  • Description: The latest date and time for the stop.

number

  • Type: Integer
  • Description: The sequence number of the stop in the dispatch.

pallets_in

  • Type: Integer
  • Description: Number of pallets in.

pallets_out

  • Type: Integer
  • Description: Number of pallets out.

pieces

  • Type: Integer
  • Description: Number of pieces associated with the stop.

status

  • Type: String
  • Description: The current status of the stop (e.g., "available").

type

  • Type: String
  • Description: Type of the stop (e.g., "pickup").

volume

  • Type: Float
  • Description: Volume of goods at the stop.

weight

  • Type: Float
  • Description: Weight of goods at the stop.

form_entry_ids

  • Type: Object
  • Description: Entry IDs for the forms associated with the stop.

dispatch_trip_id

  • Type: Integer
  • Description: The unique identifier for the dispatch trip associated with the stop.

custom_field1

  • Type: String
  • Description: Custom field for additional information.

vendor_id

  • Type: String
  • Description: The unique identifier for the vendor associated with the stop.

vendor_dispatch_location_id

  • Type: String
  • Description: The unique identifier for the vendor dispatch location.

dispatch_trips

  • Type: Array of Objects
  • Description: A list of trips associated with the dispatch.

id

  • Type: Integer
  • Description: The unique identifier for the dispatch trip.

status

  • Type: String
  • Description: The current status of the dispatch trip (e.g., "not_started").

status_updated_at

  • Type: String (DateTime)
  • Description: The timestamp of the last status update for the dispatch trip.

loaded_miles

  • Type: Integer
  • Description: Loaded miles for the dispatch trip.

vendor_id

  • Type: String
  • Description: The unique identifier for the vendor associated with the dispatch trip.

driver_id

  • Type: Integer
  • Description: The unique identifier for the driver associated with the dispatch trip.

vehicle_id

  • Type: Integer
  • Description: The unique identifier for the vehicle associated with the dispatch trip.

Body Params
int32
required

Specify the ID of the dispatch that you want to update. NOTE: You must provide either the dispatch ID or the vendor_id in order to update the dispatch.

int32
required

Specify the ID of the vendor for which you want to update the dispatch info. NOTE: You must provide either the dispatch ID or the vendor ID in order to update the dispatch.

string
required

Specify the status of the dispatch that you want to update. Allowed values are: active, completed, cancelled.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json